Name: ca_DigiCertGridCA-1-Classic
Version: 1.74
Release: 1
Source: ca_DigiCertGridCA-1-Classic-1.74.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_DigiCertGridCA-1-Classic-1.74/c7a717ce.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority DigiCertGridCA-1-Classic

%if %([ -n "http://www.Digicert-grid.com/" ] && echo 1 || echo 0)
URL: http://www.Digicert-grid.com/
%endif

%if %([ -n "ca_DigiCertGridRootCA-Root = 1.74" ] && echo 1 || echo 0)
Requires: ca_DigiCertGridRootCA-Root = 1.74
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Obsoletes: 
%endif

%prep
%setup -n ca_DigiCertGridCA-1-Classic-1.74

%description
This is the trust anchor for the classic accredited authority DigiCertGridCA-1-Classic.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

